<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Module: matchesPerYear</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Module: matchesPerYear</h1>

    




<section>

<header>
    
        
            
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description"><p>This moudule accepts matches data to return Number of matches played per year for all the years</p></div>
        

        
            















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="matchesPerYear.js.html">matchesPerYear.js</a>, <a href="matchesPerYear.js.html#line1">line 1</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="~matchesPerYear"><span class="type-signature">(inner) </span>matchesPerYear<span class="signature">(matchesData)</span><span class="type-signature"> &rarr; {Object}</span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>matchesData</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array.&lt;Object></span>


            
            </td>

            

            

            <td class="description last"><p>parsed JSON data of matches.</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="matchesPerYear.js.html">matchesPerYear.js</a>, <a href="matchesPerYear.js.html#line11">line 11</a>
    </li></ul></dd>
    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p>number of matches played per year for all the years</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Object</span>


    </dd>
</dl>

    





        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">IPL Project</a></h2><h3>Modules</h3><ul><li><a href="module-bestSuperoverEconomy.html">bestSuperoverEconomy</a></li><li><a href="module-calcEconomy.html">calcEconomy</a></li><li><a href="module-config.html">config</a></li><li><a href="module-economicalBowlers.html">economicalBowlers</a></li><li><a href="module-extraRunsPerTeam.html">extraRunsPerTeam</a></li><li><a href="module-matchesInGivenYear.html">matchesInGivenYear</a></li><li><a href="module-matchesPerYear.html">matchesPerYear</a></li><li><a href="module-matchesWonPerTeam.html">matchesWonPerTeam</a></li><li><a href="module-matchesWonWithToss.html">matchesWonWithToss</a></li><li><a href="module-playerDismissed.html">playerDismissed</a></li><li><a href="module-playerOfTheMatch.html">playerOfTheMatch</a></li><li><a href="module-saveOutput.html">saveOutput</a></li><li><a href="module-strikeRate.html">strikeRate</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Wed May 26 2021 15:19:05 GMT+0530 (India Standard Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>